> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/enums/materialcategory.md).

# MaterialCategory

## Overview

MaterialCategory is an Enum that defines the categories of materials provided by OVERDARE Studio. It is classified by material type and purpose and used for material selection and management.

## Items

| Name         | Value | Description                          |
| ------------ | ----- | ------------------------------------ |
| Basic        | 0     | The basic material category.         |
| Wood         | 1     | The wood material category.          |
| Metal        | 2     | The metal material category.         |
| Plastic      | 3     | The plastic material category.       |
| Rock         | 4     | The rock/stone material category.    |
| Special      | 5     | The special material category.       |
| PaintedMetal | 6     | The painted metal material category. |
| PaintedWood  | 7     | The painted wood material category.  |
| Steel        | 8     | The steel material category.         |
| Floor        | 9     | The flooring material category.      |
| Ground       | 10    | The ground material category.        |
| Grass        | 11    | The grass material category.         |
| Paving       | 12    | The paving material category.        |
| Road         | 13    | The road material category.          |
| Brick        | 14    | The brick material category.         |
| Concrete     | 15    | The concrete material category.      |
| Roof         | 16    | The roof material category.          |
| Ceiling      | 17    | The ceiling material category.       |
| Wall         | 18    | The wall material category.          |
| Tile         | 19    | The tile material category.          |
| Fabric       | 20    | The fabric material category.        |
| Carpet       | 21    | The carpet material category.        |
| Leather      | 22    | The leather material category.       |
| Rubber       | 23    | The rubber material category.        |
| Grid         | 24    | The grid material category.          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/materialcategory.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
